package com.xunhong.erp.turbo.api.rbac.api;


import com.xunhong.erp.turbo.api.rbac.dto.cmd.PermissionCreateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.PermissionDestroyCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.PermissionUpdateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.qry.PermissionListQry;
import com.xunhong.erp.turbo.api.rbac.dto.qry.PermissionPageQry;
import com.xunhong.erp.turbo.api.rbac.dto.qry.PermissionShowQry;
import com.xunhong.erp.turbo.api.rbac.dto.vo.PermissionVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

public interface PermissionServiceI {
	List<PermissionVO> list(PermissionListQry permissionListQry);

	PageDTO<PermissionVO> page(PermissionPageQry permissionPageQry);

	PermissionVO create(PermissionCreateCmd permissionCreateCmd);

	PermissionVO show(PermissionShowQry permissionShowQry);

	PermissionVO update(PermissionUpdateCmd permissionUpdateCmd);

	void destroy(PermissionDestroyCmd permissionDestroyCmd);
}
